ConstantExpression (Groovy 4.0.15)
Description: declaration: package: org.codehaus.groovy.ast.expr, class: ConstantExpression

Package org.codehaus.groovy.ast.expr

# Class ConstantExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.ConstantExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

Direct Known Subclasses:
  `AnnotationConstantExpression`

public class ConstantExpression extends Expression
Represents a constant expression such as null, true, false.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ConstantExpression`
  `EMPTY_EXPRESSION`
  `static final ConstantExpression`
  `EMPTY_STRING`
  `static final ConstantExpression`
  `FALSE`
  `static final ConstantExpression`
  `NULL`
  `static final ConstantExpression`
  `PRIM_FALSE`
  `static final ConstantExpression`
  `PRIM_TRUE`
  `static final ConstantExpression`
  `TRUE`
  `static final ConstantExpression`
  `VOID`

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantExpression(Object value)`
  `ConstantExpression(Object value, boolean keepPrimitive)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConstantName()`
  `String`
  `getText()`
  `Object`
  `getValue()`
  `boolean`
  `isEmptyStringExpression()`
  `boolean`
  `isFalseExpression()`
  `boolean`
  `isNullExpression()`
  `boolean`
  `isTrueExpression()`
  `void`
  `setConstantName(String constantName)`
  `String`
  `toString()`
  `Expression`
  `transformExpression(ExpressionTransformer transformer)`
  Return a copy of the expression calling the transformer on any nested expressions
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Field Details

  - ### NULL

    public static final ConstantExpression NULL

  - ### TRUE

    public static final ConstantExpression TRUE

  - ### FALSE

    public static final ConstantExpression FALSE

  - ### EMPTY_STRING

    public static final ConstantExpression EMPTY_STRING

  - ### PRIM_TRUE

    public static final ConstantExpression PRIM_TRUE

  - ### PRIM_FALSE

    public static final ConstantExpression PRIM_FALSE

  - ### VOID

    public static final ConstantExpression VOID

  - ### EMPTY_EXPRESSION

    public static final ConstantExpression EMPTY_EXPRESSION

- ## Constructor Details

  - ### ConstantExpression

    public ConstantExpression(Object value)

  - ### ConstantExpression

    public ConstantExpression(Object value, boolean keepPrimitive)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)
    Description copied from class: `Expression`
    Return a copy of the expression calling the transformer on any nested expressions
    Specified by:
      `transformExpression` in class `Expression`

  - ### getValue

    public Object getValue()
    Returns:
      the value of this constant expression

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ASTNode`

  - ### getConstantName

    public String getConstantName()

  - ### setConstantName

    public void setConstantName(String constantName)

  - ### isNullExpression

    public boolean isNullExpression()

  - ### isTrueExpression

    public boolean isTrueExpression()

  - ### isFalseExpression

    public boolean isFalseExpression()

  - ### isEmptyStringExpression

    public boolean isEmptyStringExpression()